package fr.iut.myandroid.data



import android.os.Parcelable
import fr.iut.myandroid.api.ResponseApi
import fr.iut.myandroid.api.UnsplashApi
import kotlinx.android.parcel.Parcelize


@Parcelize
data class  PhotoUnsplash(
    val id: String,
    val description: String?,
    val urls: UnsplashPhotoUrls,
    val user: UnsplashUser
) : Parcelable {

    @Parcelize
    data class UnsplashPhotoUrls(
        val raw: String,
        val full: String,
        val regular: String,
        val small: String,
        val thumb: String,
    ) : Parcelable

    @Parcelize
    data class UnsplashUser(
        val name: String,
        val username: String
    ) : Parcelable {
        val attributionUrl get() = "https://unsplash.com/$username?utm_source=ImageSearchApp&utm_medium=referral"
    }
}
